Commit a170958c authored by Christian Kastner's avatar Christian Kastner

Drop package libmpikmeans-dbg in favor of automatic dbgsym packages

As per https://lists.debian.org/debian-devel/2015/12/msg00262.html
parent 477ce833
......@@ -53,23 +53,6 @@ Description: Fast Library for k-means Clustering
.
This package contains the shared libraries.
Package: libmpikmeans-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
${misc:Depends},
libmpikmeans1 (= ${binary:Version})
Description: Debugging symbols for MPIKmeans
This library uses an algorithm that yields the very same solution as standard
k-means, even after each iteration. However, it uses triangle inequalities, and
is much faster.
.
Note: MPI here does not refer to the Message Passing Interface; rather, it is
an acronym for Max Planck Institute, where this algorithm was developed.
.
This package contains the debugging symbols.
Package: mpikmeans-tools
Architecture: any
Multi-Arch: foreign
......
......@@ -36,4 +36,4 @@ override_dh_auto_install:
dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/
override_dh_strip:
dh_strip --dbg-package=libmpikmeans-dbg
dh_strip --dbgsym-migration='libmpikmeans-dbg (<< $(DEBVER)~)'
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment